# 공간

## 공간 유형 목록 조회

> 공간 유형 목록을 조회합니다.\
> \
> \### 사용처\
> \- 공간 유형 전체 목록 조회\
> \- 공간 유형 선택 UI 구성

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"공간"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseListRoomTypeResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"type":"array","description":"응답 데이터","items":{"$ref":"#/components/schemas/RoomTypeResponse"}},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"RoomTypeResponse":{"type":"object","properties":{"symbol":{"type":"string","description":"공간 유형 심볼"},"roomCode":{"type":"integer","format":"int32","description":"공간 코드"},"i18n":{"$ref":"#/components/schemas/InternationalizationResponse","description":"다국어 정보"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","i18n","roomCode","symbol","updatedAt"]},"InternationalizationResponse":{"type":"object","properties":{"ko":{"type":"string","description":"한국어"},"en":{"type":"string","description":"영어"},"ja":{"type":"string","description":"일본어"},"vi":{"type":"string","description":"베트남어"},"cn":{"type":"string","description":"중국어 간체"},"tw":{"type":"string","description":"중국어 번체"}},"required":["cn","en","ja","ko","tw","vi"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/room/types":{"get":{"tags":["공간"],"summary":"공간 유형 목록 조회","description":"공간 유형 목록을 조회합니다.\n\n### 사용처\n- 공간 유형 전체 목록 조회\n- 공간 유형 선택 UI 구성","operationId":"getRoomTypes","responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseListRoomTypeResponse"}}}}}}}}}
```

## 공간 유형 단건 조회

> 공간 유형 코드를 이용하여 단건 공간 유형 정보를 조회합니다.\
> \
> \### 사용처\
> \- 특정 공간 유형의 상세 정보 조회

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"공간"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseRoomTypeResponse":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/RoomTypeResponse","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"RoomTypeResponse":{"type":"object","properties":{"symbol":{"type":"string","description":"공간 유형 심볼"},"roomCode":{"type":"integer","format":"int32","description":"공간 코드"},"i18n":{"$ref":"#/components/schemas/InternationalizationResponse","description":"다국어 정보"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","i18n","roomCode","symbol","updatedAt"]},"InternationalizationResponse":{"type":"object","properties":{"ko":{"type":"string","description":"한국어"},"en":{"type":"string","description":"영어"},"ja":{"type":"string","description":"일본어"},"vi":{"type":"string","description":"베트남어"},"cn":{"type":"string","description":"중국어 간체"},"tw":{"type":"string","description":"중국어 번체"}},"required":["cn","en","ja","ko","tw","vi"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/room/types/{roomCode}":{"get":{"tags":["공간"],"summary":"공간 유형 단건 조회","description":"공간 유형 코드를 이용하여 단건 공간 유형 정보를 조회합니다.\n\n### 사용처\n- 특정 공간 유형의 상세 정보 조회","operationId":"getRoomType","parameters":[{"name":"roomCode","in":"path","description":"공간 코드","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseRoomTypeResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.archisketch.com/dev/api-3/undefined-5.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
